package com.gyee.frame.mapper.auto;

import com.gyee.frame.model.auto.Shbraceletpoint;
import com.gyee.frame.model.auto.ShbraceletpointExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *  ShbraceletpointMapper
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-05-20 19:07:48
 */
public interface ShbraceletpointMapper {
      	   	      	      	      	      	      	      	      	      
    long countByExample(ShbraceletpointExample example);

    int deleteByExample(ShbraceletpointExample example);
		
    int deleteByPrimaryKey(String id);
		
    int insert(Shbraceletpoint record);

    int insertSelective(Shbraceletpoint record);

    List<Shbraceletpoint> selectByExample(ShbraceletpointExample example);
		
    Shbraceletpoint selectByPrimaryKey(String id);
		
    int updateByExampleSelective(@Param("record") Shbraceletpoint record, @Param("example") ShbraceletpointExample example);

    int updateByExample(@Param("record") Shbraceletpoint record, @Param("example") ShbraceletpointExample example);
		
    int updateByPrimaryKeySelective(Shbraceletpoint record);

    int updateByPrimaryKey(Shbraceletpoint record);
  	  	
}